apiVersion: apps/v1
kind: Deployment
metadata:
  annotations:
    deployment.kubernetes.io/revision: "1"
  creationTimestamp: "2025-02-27T08:49:55Z"
  generation: 1
  labels:
    app.kubernetes.io/component: opentelemetry-collector
    app.kubernetes.io/instance: bookinfo.otel
    app.kubernetes.io/managed-by: opentelemetry-operator
    app.kubernetes.io/name: otel-collector
    app.kubernetes.io/part-of: opentelemetry
    app.kubernetes.io/version: latest
  name: otel-collector
  namespace: bookinfo
  ownerReferences:
  - apiVersion: opentelemetry.io/v1beta1
    blockOwnerDeletion: true
    controller: true
    kind: OpenTelemetryCollector
    name: otel
    uid: 1b638310-13e4-4cc2-bb97-8e3ea522b46a
  resourceVersion: "636855"
  uid: 81297573-dceb-4912-b868-869e5ee63cab
spec:
  progressDeadlineSeconds: 600
  replicas: 1
  revisionHistoryLimit: 10
  selector:
    matchLabels:
      app.kubernetes.io/component: opentelemetry-collector
      app.kubernetes.io/instance: bookinfo.otel
      app.kubernetes.io/managed-by: opentelemetry-operator
      app.kubernetes.io/part-of: opentelemetry
  strategy:
    rollingUpdate:
      maxSurge: 25%
      maxUnavailable: 25%
    type: RollingUpdate
  template:
    metadata:
      annotations:
        opentelemetry-operator-config/sha256: 9ddfc0b82fab0fc9f632b35c8a5d2e061b1dfd882fb0239dc52bdedc73239763
        prometheus.io/path: /metrics
        prometheus.io/port: "8888"
        prometheus.io/scrape: "true"
      creationTimestamp: null
      labels:
        app.kubernetes.io/component: opentelemetry-collector
        app.kubernetes.io/instance: bookinfo.otel
        app.kubernetes.io/managed-by: opentelemetry-operator
        app.kubernetes.io/name: otel-collector
        app.kubernetes.io/part-of: opentelemetry
        app.kubernetes.io/version: latest
    spec:
      containers:
      - args:
        - --config=/conf/collector.yaml
        - --feature-gates=-component.UseLocalHostAsDefaultHost
        env:
        - name: POD_NAME
          valueFrom:
            fieldRef:
              apiVersion: v1
              fieldPath: metadata.name
        image: registry.redhat.io/rhosdt/opentelemetry-collector-rhel8@sha256:dab07732163f0241e78619a91ab0beec81eb0b3f1f28b8365ce3701f4e8f4996
        imagePullPolicy: IfNotPresent
        name: otc-container
        ports:
        - containerPort: 8888
          name: metrics
          protocol: TCP
        - containerPort: 4317
          name: otlp-grpc
          protocol: TCP
        resources: {}
        terminationMessagePath: /dev/termination-log
        terminationMessagePolicy: File
        volumeMounts:
        - mountPath: /conf
          name: otc-internal
      dnsConfig: {}
      dnsPolicy: ClusterFirst
      restartPolicy: Always
      schedulerName: default-scheduler
      securityContext: {}
      serviceAccount: otel-collector
      serviceAccountName: otel-collector
      shareProcessNamespace: false
      terminationGracePeriodSeconds: 30
      volumes:
      - configMap:
          defaultMode: 420
          items:
          - key: collector.yaml
            path: collector.yaml
          name: otel-collector-9ddfc0b8
        name: otc-internal
status:
  availableReplicas: 1
  conditions:
  - lastTransitionTime: "2025-02-27T08:49:57Z"
    lastUpdateTime: "2025-02-27T08:49:57Z"
    message: Deployment has minimum availability.
    reason: MinimumReplicasAvailable
    status: "True"
    type: Available
  - lastTransitionTime: "2025-02-27T08:49:55Z"
    lastUpdateTime: "2025-02-27T08:49:57Z"
    message: ReplicaSet "otel-collector-658cfb6d5d" has successfully progressed.
    reason: NewReplicaSetAvailable
    status: "True"
    type: Progressing
  observedGeneration: 1
  readyReplicas: 1
  replicas: 1
  updatedReplicas: 1
